com.trendmicro.ds.appcontrol.rest.object

## Class AppControlPolicyParameters

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.AppControlPolicyParameters

-     public class AppControlPolicyParameters
      extends java.lang.Object

  Details of the application control parameters for a policy.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AppControlPolicyParameters.ActivationState` Application control activation state.
    `static class` | `AppControlPolicyParameters.WhitelistMode` Application control whitelist mode.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppControlPolicyParameters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getLockdown()` Get the lockdown state for application control.
    `java.lang.Long` | `getRulesetID()` Get the ID for the ruleset to use when application control is enabled and set to block or notify when applications not in the ruleset are launched.
    `AppControlPolicyParameters.ActivationState` | `getState()` Get the activation state for application control.
    `AppControlPolicyParameters.WhitelistMode` | `getWhitelistMode()` Get the whitelist mode for application control.
    `void` | `setLockdown(java.lang.Boolean lockdown)` Set the lockdown state for application control.
    `void` | `setRulesetID(java.lang.Long rulesetID)` Set the ID for the ruleset to use when application control is enabled and set to block or notify when applications not in the ruleset are launched.
    `void` | `setState(AppControlPolicyParameters.ActivationState state)` Set the activation state for application control.
    `void` | `setWhitelistMode(AppControlPolicyParameters.WhitelistMode whitelistMode)` Set the whitelist mode for application control.
    `java.lang.String` | `toString()`
    `AppControlPolicyParameters` | `withLockdown(java.lang.Boolean lockdown)` Set the lockdown state for application control.
    `AppControlPolicyParameters` | `withRulesetID(java.lang.Long rulesetID)` Set the ID for the ruleset to use when application control is enabled and set to block or notify when applications not in the ruleset are launched.
    `AppControlPolicyParameters` | `withState(AppControlPolicyParameters.ActivationState state)` Set the activation state for application control.
    `AppControlPolicyParameters` | `withWhitelistMode(AppControlPolicyParameters.WhitelistMode whitelistMode)` Set the whitelist mode for application control.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AppControlPolicyParameters

          public AppControlPolicyParameters()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getState

          public AppControlPolicyParameters.ActivationState getState()

      Get the activation state for application control.
      Returns:
        the activation state for application control.

    - #### setState

          public void setState(AppControlPolicyParameters.ActivationState state)

      Set the activation state for application control.
      Parameters:
        `state` - the activation state for application control.

    - #### withState

          public AppControlPolicyParameters withState(AppControlPolicyParameters.ActivationState state)

      Set the activation state for application control.
      Parameters:
        `state` - the activation state for application control.
      Returns:
        the updated AppControlPolicyParameters object.

    - #### getLockdown

          public java.lang.Boolean getLockdown()

      Get the lockdown state for application control.
      Returns:
        the lockdown state for application control.

    - #### setLockdown

          public void setLockdown(java.lang.Boolean lockdown)

      Set the lockdown state for application control.
      Parameters:
        `lockdown` - the lockdown state for application control.

    - #### withLockdown

          public AppControlPolicyParameters withLockdown(java.lang.Boolean lockdown)

      Set the lockdown state for application control.
      Parameters:
        `lockdown` - the lockdown state for application control.

    - #### getWhitelistMode

          public AppControlPolicyParameters.WhitelistMode getWhitelistMode()

      Get the whitelist mode for application control.
      Returns:
        the whitelist mode for application control.

    - #### setWhitelistMode

          public void setWhitelistMode(AppControlPolicyParameters.WhitelistMode whitelistMode)

      Set the whitelist mode for application control.
      Parameters:
        `state` - the whitelist mode for application control.

    - #### withWhitelistMode

          public AppControlPolicyParameters withWhitelistMode(AppControlPolicyParameters.WhitelistMode whitelistMode)

      Set the whitelist mode for application control.
      Parameters:
        `whitelistMode` - the whitelist mode for application control.
      Returns:
        the updated AppControlPolicyParameters object.

    - #### getRulesetID

          public java.lang.Long getRulesetID()

      Get the ID for the ruleset to use when application control is enabled and set to block or notify when applications not in the ruleset are launched.
      Returns:
        the ID for the ruleset to use when application control is enabled and set to block or notify when applications not in the ruleset are launched.

    - #### setRulesetID

          public void setRulesetID(java.lang.Long rulesetID)

      Set the ID for the ruleset to use when application control is enabled and set to block or notify when applications not in the ruleset are launched.
      Parameters:
        `rulesetID` - the ID for the ruleset to use when application control is enabled and set to block or notify when applications not in the ruleset are launched.

    - #### withRulesetID

          public AppControlPolicyParameters withRulesetID(java.lang.Long rulesetID)

      Set the ID for the ruleset to use when application control is enabled and set to block or notify when applications not in the ruleset are launched.
      Parameters:
        `rulesetID` - the ID for the ruleset to use when application control is enabled and set to block or notify when applications not in the ruleset are launched.
      Returns:
        the updated AppControlPolicyParameters object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.